Bug 1905560 - Security ERRATA installation via Host Collection will always ends up in applying 20 ERRATA's from the list in Satellite 6
Summary: Security ERRATA installation via Host Collection will always ends up in apply...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.8.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: 6.10.0
Assignee: James Jeffers
QA Contact: Akhil Jha
URL:
Whiteboard:
: 1853704 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-08 14:49 UTC by Sayan Das
Modified: 2022-02-15 09:19 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32436 0 Normal New Errata installation via Host Collection Remote Execution Only Sends First Page of Errata Ids 2021-04-27 19:28:22 UTC
Github SatelliteQE robottelo pull 9046 0 None open API Assertion error errata 2021-10-26 05:06:00 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:44 UTC

Description Sayan Das 2020-12-08 14:49:07 UTC
Description of problem:

Please see the "Steps to Reproduce" section.


Version-Release number of selected component (if applicable):
Satellite 6.8.1
Satellite 6.7.5

How reproducible:
Always


Steps to Reproduce:

NOTE: Entries per page" is set to 20

0. Create a Host collection named RHEL and add some hosts as a part of the same which are having ERRATA installable on them.

1. GUI --> Hosts --> Host Collections --> Click on RHEL collection --> Click on "ERRATA Installation" --> 

2. Note down the total ERRATA count e.g. for me 183.

3. Now, search by "type = security" --> Use "Select all 39" to select 39 count of security ERRATA's --> From "Install Selected" drop-down , select "via - Remote Execution - Customize First" 



Actual results:

Now on the Job Invocation page look at the "errata" field as it always contains 19 or 20 ERRATA's instead of those 39 selected. 


Expected results:

It should have properly selected 39 ERRATA's and created the Job for those 39 ERRATA's only


Additional info:

Comment 3 Justin Sherrill 2021-01-14 17:04:58 UTC
I spent a few minutes looking into this and it appears that triggering remote execution jobs does not support the 'true select all' that katello agent actions do.  Will need to implement this.

Comment 4 James Jeffers 2021-05-19 17:42:49 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32436 has been resolved.

Comment 5 Akhil Jha 2021-07-29 07:43:04 UTC
Verified.
Satellite 6.10.0-10.0

Observation: Shows the selected number of errata in `errata` field.

Comment 9 errata-xmlrpc 2021-11-16 14:09:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702

Comment 10 Lucy Fu 2022-02-14 19:03:05 UTC
*** Bug 1853704 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.